# FreeImagePlus

# fipObject Class Reference

`#include <FreeImagePlus.h>`

Inheritance diagram for fipObject:

List of all members.

## Detailed Description

Abstract base class for all objects used by the library.

Version:
  FreeImage 3

Author:
  Hervé Drolon

## Public Member Functions

virtual | ~fipObject ()
| Destructor.
Information functions
virtual BOOL | isValid () const =0
| Returns TRUE if the object is allocated, FALSE otherwise.

## Constructor & Destructor Documentation

virtual fipObject::~fipObject | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

virtual BOOL fipObject::isValid | ( |  | ) | const`[pure virtual]`

Returns TRUE if the object is allocated, FALSE otherwise.

Implemented in fipImage, fipWinImage, fipMemoryIO, fipMultiPage, fipTag, and fipMetadataFind.

The documentation for this class was generated from the following file:

- FreeImagePlus.h